local function constructionHandler (fileName, data)
	local fn = data.updateFn
	
	data.updateFn = function(params)
		result = fn(params)
		if data.type == "TOWN_BUILDING" and (data.townBuildingParams.landUseType == "RESIDENTIAL") then
			local ruleCapacity = math.floor(params.capacity / 4 + 0.5)
			if (ruleCapacity > 0) then
				result.stocks = {}
				result.stockRules = {}

				local cargoTypes = {"MAIL"}
				local inputs = { { { 1, } },  }
				for i = 1, 1 do
					result.stocks[i] = {
						cargoType = cargoTypes[i],
						type = "RECEIVING",
						edges = { },
						moreCapacity = ruleCapacity
					}
					result.stockRules[i] = {
						input = inputs[i],
						output = { { 0, } },
						capacity = ruleCapacity
					}
				end
			end			
		end			

		result.cost = 1000
		result.bulldozeCost = 100

		return result
	end
	
	return data
end

function data()
return {
	info = {
		minorVersion = 0,
		severityAdd = "NONE",
		severityRemove = "WARNING",
		name = (_("Post")),
		description = _("Post"),
		authors = {
			{
			  name = "nown",
			  role = "CREATOR",
			  text = "",
			}
		},
		tags = {"Script Mod"},
		modid = "nown_post_1",
	},
	runFn = function (settings)
		addModifier( "loadConstruction", constructionHandler )
	end,
}
end